Pkg updating repository catalogue no valid repository found

Error messages: For packages constrained by an incorporation, best practice is to update the incorporation package, keeping all of the constrained packages as a tested-together set.If you still want to update just one package from an incorporation, check whether that package has a options and the version of the package you want in the FMRI of the package name.You cannot directly install or update a package that is constrained by the command to view more information about the publisher, such as key, certificate, and proxy.If any origin URI of any of your enabled publishers is unreachable, the install or update operation fails, even if the locations you need are reachable.

pkg updating repository catalogue no valid repository found-27

The most effective way to handle a large number of error messages is to examine the error messages that are the most indented first.For more information, invoke the command again, specifying only the package that cannot be installed, specifying the full FMRI of that package, and providing one or more command to remove that origin.If a publisher is configured in a non-global zone, all locations for that publisher must be accessible from the global zone even if that publisher is not configured in the global zone.Incorporations constrain a set of packages to versions that work together to help maintain a supportable image.For this reason, you should not update one package that is constrained by an incorporation.

Pkg updating repository catalogue no valid repository found